#ifndef RELAXATION_FILTER_H
#define RELAXATION_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>

class RelaxationFilter : public vtkUnstructuredGridAlgorithm {
public:
	static RelaxationFilter *New();
	vtkTypeMacro(RelaxationFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~RelaxationFilter() override = default;
};


#endif
